-- Test script for the scenes lib
require('./scene.lua')

function love.load()
	arrowLeft = love.graphics.newImage('arrowL.png')
	arrowRight = love.graphics.newImage('arrowR.png')
	arrowUp = love.graphics.newImage('arrowU.png')
	newScene('s1', {155,155,155})
	newScene('s2', {19,178,75})
	newScene('s3', {255,255,255})
	scenes:setActive('s2')
	scenes:setUpdate('s1', function(dt, mx, my)
		if mx >= 0 and my >= 0 and 26 > mx and 26 > my and
			love.mouse.isDown('l') then
				scenes:setActive('s3')
		elseif mx >= 775 and my > 0 and 800 >= mx and 26 > my and
			love.mouse.isDown('l') then
				scenes:setActive('s2')
		end
	end)
	scenes:setUpdate('s2', function(dt, mx, my)
		if mx >= 0 and my >= 0 and 26 > mx and 26 > my and
			love.mouse.isDown('l') then
				scenes:setActive('s1')
		elseif mx >= 775 and my > 0 and 800 >= mx and 26 > my and
			love.mouse.isDown('l') then
				scenes:setActive('s3')
		end
	end)
	scenes:setUpdate('s3', function(dt, mx, my)
		if mx >= 0 and my >= 0 and 26 > mx and 26 > my and
			love.mouse.isDown('l') then
				scenes:setActive('s2')
		elseif mx >= 775 and my > 0 and 800 >= mx and 26 > my and
			love.mouse.isDown('l') then
				scenes:setActive('s1')
		end
	end)
	scenes:setDraw('s2', function()
		love.graphics.draw(arrowUp, 375,275)
		love.graphics.draw(arrowUp, 400,275)
	end)
end

function love.keypressed(k)
	if k == 'escape' then love.event.push('q') end
end

function love.update(dt)
	mx, my = love.mouse.getPosition()
	scenes:update(dt,mx,my)
end

function love.draw()
	love.graphics.draw(arrowLeft, 0, 0)
	love.graphics.draw(arrowRight, 775, 0)
	scenes:draw()
	love.graphics.print(love.timer.getFPS(), 15, 20)
end
